﻿using BackstageModule.Views;
using Infrastructure;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BackstageModule
{
    public class BackstageModule: IModule
	{
		private readonly IRegionManager regionManager;
		private readonly IUnityContainer unityContainer;

		public BackstageModule(IRegionManager regionManager, IUnityContainer unityContainer)
		{
			this.regionManager = regionManager;
			this.unityContainer = unityContainer;
		}

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion(RegionNames.BackstageRegion, () => unityContainer.Resolve<SaveAsBackstageItemView>());
			regionManager.RegisterViewWithRegion(RegionNames.BackstageRegion, () => unityContainer.Resolve<OpenBackstageItemView>());
		}
	}
}
