﻿using Infrastructure;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;
using QuickAccessToolBarModule.Views;
using System;
using System.Linq;

namespace QuickAccessToolBarModule
{
	public class QuickAccessToolBarModule: IModule
	{
		private readonly IRegionManager regionManager;
		private readonly IUnityContainer unityContainer;

		public QuickAccessToolBarModule(IRegionManager regionManager, IUnityContainer unityContainer)
		{
			this.regionManager = regionManager;
			this.unityContainer = unityContainer;
		}

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion(RegionNames.QuickAccessToolBarRegion, () => unityContainer.Resolve<QAT_SaveButtonView>());
			regionManager.RegisterViewWithRegion(RegionNames.QuickAccessToolBarRegion, () => unityContainer.Resolve<QAT_PasteButtonView>());
		}
	}
}
