﻿using Infrastructure;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;
using RibbonGroupModules.Views;
using System;
using System.Linq;

namespace RibbonGroupModules
{
	public class ClipboardGroupModule: IModule
	{
		private readonly IRegionManager regionManager;
		private readonly IUnityContainer unityContainer;

		public ClipboardGroupModule(IRegionManager regionManager, IUnityContainer unityContainer)
		{
			this.regionManager = regionManager;
			this.unityContainer = unityContainer;
		}

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion(RegionNames.HomeTabRegion, () => unityContainer.Resolve<ClipboardGroupView>());
		}
	}
}
