﻿using Infrastructure;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;
using RibbonGroupModules.Views;
using System;
using System.Linq;

namespace RibbonGroupModules
{
	public class EditingGroupModule: IModule
	{
		private readonly IRegionManager regionManager;
		private readonly IUnityContainer unityContainer;

		public EditingGroupModule(IRegionManager regionManager, IUnityContainer unityContainer)
		{
			this.regionManager = regionManager;
			this.unityContainer = unityContainer;
		}

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion(RegionNames.InsertTabRegion, () => unityContainer.Resolve<EditingGroupView>());
		}
	}
}
