﻿using Infrastructure;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;
using RibbonTabModules.Views;
using System;
using System.Linq;

namespace RibbonTabModules
{
	public class HomeTabModule : IModule
	{
		private readonly IRegionManager regionManager;
		private readonly IUnityContainer unityContainer;

		public HomeTabModule(IRegionManager regionManager, IUnityContainer unityContainer)
		{
			this.regionManager = regionManager;
			this.unityContainer = unityContainer;
		}

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion(RegionNames.RibbonViewRegion, () => unityContainer.Resolve<HomeTabView>());
		}
	}
}
