﻿using Infrastructure;
using Prism.Modularity;
using Prism.Regions;
using Prism.Unity;
using System;
using System.Linq;
using System.Windows;

namespace RibbonView_Shell
{
	class Bootstrapper : UnityBootstrapper
	{
		protected override DependencyObject CreateShell()
		{
			return Container.TryResolve<MainWindow>();
		}

		protected override void InitializeShell()
		{
			Application.Current.MainWindow.Show();
		}

		protected override void ConfigureModuleCatalog()
		{
			ModuleCatalog catalog = (ModuleCatalog)ModuleCatalog;
			catalog.AddModule(typeof(RibbonTabModules.HomeTabModule));
			catalog.AddModule(typeof(RibbonTabModules.InsertTabModule));

			catalog.AddModule(typeof(RibbonGroupModules.ClipboardGroupModule));
			catalog.AddModule(typeof(RibbonGroupModules.FontGroupModule));
			catalog.AddModule(typeof(RibbonGroupModules.ParagraphGroupModule));
			catalog.AddModule(typeof(RibbonGroupModules.StylesGroupModule));
			catalog.AddModule(typeof(RibbonGroupModules.EditingGroupModule));

			catalog.AddModule(typeof(QuickAccessToolBarModule.QuickAccessToolBarModule));
			catalog.AddModule(typeof(BackstageModule.BackstageModule));

		}
	}
}
